import { DbModel } from "src/app/model/entities/db-model";

export interface Role extends DbModel {
  name?: string;
  description?: string;
  permissions?: Permission[];
}

export interface RoleCreateInput {
  name?: string;
  description?: string;
  permissions?: Permission[];
}

export interface RoleUpdateInput {
  id: number;
  name?: string;
  description?: string;
  permissions: Permission[];
}

export interface Permission extends DbModel {
  name: string;
  description: string;
}
